gnutls_x509_crt_set_crq_extensions(3)

NAME
gnutls_x509_crt_set_crq_extensions - Associate the Certificate with a request

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_crq_extensions(gnutls_x509_crt_t crt, gnutls_x509_crq_t crq);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

gnutls_x509_crq_t crq
    holds a certificate request

DESCRIPTION
This function will set extensions from the given request to the certificate.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.